| Home · API Reference · Modules

Public Types | List of all members
MaliitQuick Class Reference

`#include <maliitquick.h>`

Inheritance diagram for MaliitQuick:
[legend]

## Public Types

enum | SwitchDirection
enum | ContentType
enum | KeyEvent
enum | PreeditFace

## Detailed Description

MaliitQuick exposes Maliit enums to QML-based input methods.

## Member Enumeration Documentation

## ◆ ContentType

enum MaliitQuick::ContentType

Enumerator
FreeTextContentType |
NumberContentType |
PhoneNumberContentType |
EmailContentType |
UrlContentType |
CustomContentType |

## ◆ KeyEvent

enum MaliitQuick::KeyEvent

Enumerator
KeyPress |
KeyRelease |
KeyClick |

## ◆ PreeditFace

enum MaliitQuick::PreeditFace

Enumerator
PreeditDefault |
PreeditNoCandidates |
PreeditKeyPress |

## ◆ SwitchDirection

enum MaliitQuick::SwitchDirection

This enum defines direction of plugin switching.

Enumerator
SwitchUndefined | Special value for uninitialized variables.
SwitchForward | Activate next plugin.
SwitchBackward | Activate previous plugin.

Copyright © 2011 Nokia Corporation |  | Maliit